Subject: Delays during boot

From: Maxl <[email-masked]>
Date: Fri, 27 Dec 2024 23:59:41 +0100

- alpine-virt-3.21.0-x86.iso with VirtualBox, installed with
setup-alpine as "sys" -

Problem: Boot to login-prompt takes 2 minutes
(virtual SATA-disk, removed CD after install, no other devices; SCSI took even longer, IDE very much longer)
These are the longest delays:
EXT4-fs (sda3): orphan cleanup... takes 20s
In Busybox:
"Scanning hardware for mdev" takes 5s
"loading hardware drivers" >30s 

Is it possible to speed up the boot process? Maybe too many devices are supported although only the a few drivers for the virtual hardware are needed? On the same computer a Windows-VM boots in 30s to the complete desktop. And this is no explicit "virt"-version like Alpine...

Poweroff is slow, too: 20s.

BTW: it took quite long to find out, that the ethernet-adapter "PC-Net FAST" doesn't work. The Intel-adapter has to be choosen. IMHO this could be mentioned in the wiki - like the SCSI/IDE thing.

Sorry for faults, I'm a Linux-beginner and English is not my native language. 
The Alpine Linux I found while searching for a small and fast Linux for use in VMs on older machines. DSL-Linux (and others) was quite slow and comes with too many apps, which are not needed and Clipboard/VBox-Shares is not working out of the box. So I thought, it makes more sense to use Alpine and install only the needed software. The 1st "big" aim is to get Firefox ESR running.